/* Copyright (c) Nordic Semiconductor. All Rights Reserved.
 *
 * The information contained herein is property of Nordic Semiconductor ASA.
 * Terms and conditions of usage are described in detail in NORDIC
 * SEMICONDUCTOR STANDARD SOFTWARE LICENSE AGREEMENT.
 *
 * Licensees are granted free, non-transferable use of the information. NO
 * WARRANTY of ANY KIND is provided. This heading must NOT be removed from
 * the file.
 *
 */

/** @file */

#ifndef APP_PROFILE_H__
#define APP_PROFILE_H__

#include <stdint.h>
#include "ble.h"

/** @brief Initialize profile. Is only called once.
*/
void app_profile_init(void);

/** @brief Handle BLE event.
 *  @param[in] p_ble_evt BLE event to handle.
*/
void app_profile_on_ble_evt(ble_evt_t * p_ble_evt);

/** @brief Handle system event.
 *  @param sys_evt System event to handle.
*/
void app_profile_on_sys_evt(uint32_t sys_evt);

/** @brief Start profile. Is called every time profile is activated.
*/
void app_profile_start(void);

/** @brief Stop profile. Note: Needs to set the softdevice in a state where it is ok
 *  to initialize PRU profile.
*/
void app_profile_stop(void);

#endif // APP_PROFILE_H__
