/* Copyright (c) Nordic Semiconductor. All Rights Reserved.
 *
 * The information contained herein is property of Nordic Semiconductor ASA.
 * Terms and conditions of usage are described in detail in NORDIC
 * SEMICONDUCTOR STANDARD SOFTWARE LICENSE AGREEMENT.
 *
 * Licensees are granted free, non-transferable use of the information. NO
 * WARRANTY of ANY KIND is provided. This heading must NOT be removed from
 * the file.
 *
 */

/** @file
 *
 * @defgroup pru_hal_buttons_api Buttons HAL
 * @{
 * @ingroup hal
 */

#ifdef DFU_SUPPORT

#ifndef __COMMON_HAL_BUTTONS_H__
#define __COMMON_HAL_BUTTONS_H__

#include <stdint.h>

/**@brief Initialize button functionality. Used only for starting DFU.
 * @param button_press_duration_ms How many milliseconds does the button need to be held down for DFU mode to start
 * @param app_timer_prescaler What prescaler is the app_timer module set up to use?
 */
void common_hal_buttons_init(uint32_t button_press_duration_ms, uint8_t app_timer_prescaler);

#endif // __COMMON_HAL_BUTTONS_H__

#endif // DFU_SUPPORT

/** @} */
