/* Copyright (c) 2015 Nordic Semiconductor. All Rights Reserved.
 *
 * The information contained herein is property of Nordic Semiconductor ASA.
 * Terms and conditions of usage are described in detail in NORDIC
 * SEMICONDUCTOR STANDARD SOFTWARE LICENSE AGREEMENT.
 *
 * Licensees are granted free, non-transferable use of the information. NO
 * WARRANTY of ANY KIND is provided. This heading must NOT be removed from
 * the file.
 *
 */

/** @file
 *
 * @defgroup pru_adv PRU Advertisement helper
 * @{
 * @ingroup profile
 */

#ifndef PRU_ADV_H__
#define PRU_ADV_H__

#include <stdint.h>
#include "ble_wpts.h"


/**@brief Advertising functionality initialization.
 *
 * @param p_wpts Pointer to WPT Service.
 * @details Encodes the required advertising data and passes it to the stack.
 *          Also builds a structure to be passed to the stack when starting advertising.
 * @return      NRF_SUCCESS on success, otherwise an error code.
 */
uint32_t pru_advdata_set(ble_wpts_t * p_wpts);

#endif // PRU_ADV_H__

/** @} */
