/* Copyright (c) 2013 Nordic Semiconductor. All Rights Reserved.
 *
 * The information contained herein is property of Nordic Semiconductor ASA.
 * Terms and conditions of usage are described in detail in NORDIC
 * SEMICONDUCTOR STANDARD SOFTWARE LICENSE AGREEMENT.
 *
 * Licensees are granted free, non-transferable use of the information. NO
 * WARRANTY of ANY KIND is provided. This heading must NOT be removed from
 * the file.
 *
 */

/** @file
 *
 * @defgroup debug_api PTU / PRU debug API
 * @{
 * @ingroup test_debug
 */

#define NRF_GZLL_CHANNEL_TABLE_SIZE 5             /**< Channel table size. */

#ifdef WDBG0
#define NRF_GZLL_BASE_ADDRESS_0 0x1B2A0600        /**< Base address 0. */
#define NRF_GZLL_CHANNELS {10, 25, 40, 55, 70}    /**< Channel table. */
#endif

#ifdef WDBG1
#define NRF_GZLL_BASE_ADDRESS_0 0x1B2A0601        /**< Base address 0. */
#define NRF_GZLL_CHANNELS {12, 27, 42, 57, 71}    /**< Channel table. */
#endif

#ifdef WDBG2
#define NRF_GZLL_BASE_ADDRESS_0 0x2B2A0602        /**< Base address 0. */
#define NRF_GZLL_CHANNELS {14, 29, 44, 59, 72}    /**< Channel table. */
#endif

#ifdef WDBG3
#define NRF_GZLL_BASE_ADDRESS_0 0x4B2A0603        /**< Base address 0. */
#define NRF_GZLL_CHANNELS {16, 31, 46, 61, 73}    /**< Channel table. */
#endif

#ifdef WDBG4
#define NRF_GZLL_BASE_ADDRESS_0 0x4B2A0604        /**< Base address 0. */
#define NRF_GZLL_CHANNELS {18, 33, 57, 52, 74}    /**< Channel table. */
#endif

#ifdef WDBG5
#define NRF_GZLL_BASE_ADDRESS_0 0x4B2A0605        /**< Base address 0. */
#define NRF_GZLL_CHANNELS {20, 35, 59, 54, 75}    /**< Channel table. */
#endif

#ifdef WDBG6
#define NRF_GZLL_BASE_ADDRESS_0 0x4B2A0606        /**< Base address 0. */
#define NRF_GZLL_CHANNELS {22, 37, 61, 56, 76}    /**< Channel table. */
#endif

#ifdef WDBG7
#define NRF_GZLL_BASE_ADDRESS_0 0x4B2A0607        /**< Base address 0. */
#define NRF_GZLL_CHANNELS {42, 39, 63, 58, 77}    /**< Channel table. */
#endif

#ifdef WDBGPTU
#define NRF_GZLL_BASE_ADDRESS_0 0x4B2A0608        /**< Base address 0. */
#define NRF_GZLL_CHANNELS {23, 40, 64, 59, 78}    /**< Channel table. */
#endif

/** @} */
